Paketauswahl

Achtung! OpenSUSE 15.1 enthält Mono 5.10. OpenSim Version 0.9.1 erfordert mindestens Mono Version 5.12. In Ermangelung eines offiziellen Upgrade-Pakets wird hier ein privates Mono-Repository verwendet. OpenSim Arriba ist nicht betroffen.

Falls der Provider eine „minimale“ Default-Installation „OpenSuse 15.1“ anbietet, kann diese als Basissystem übernommen werden, weiteres Abspecken lohnt den Aufwand nicht. Unabhängig vom Provider bietet OpenSuse über Yast in der Paketverwaltung ein Basissystem an unter „Filter -> Patterns“, dann wähle „Minimal Base System“ und zusätzlich „Yast System Administration“.

Paket-Repositories einbinden

Menü „Software -> Software Repositories“ auswählen, es öffnet sich der Dialog „Configured Software Repositories“. Falls der Provider andere Einträge vorkonfiguriert hat, können die gelöscht werden. Insbesondere über FTP sind später bei geschlossenem FTP-Port eh keine Repositories mehr erreichbar. Danach richte die folgenden Repositories neu ein:

http://download.opensuse.org/distribution/leap/15.1/repo/oss/ (Priorität 99)
http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/ (Priorität 100)
http://download.opensuse.org/update/leap/15.1/oss/ (Priorität 20)
http://download.opensuse.org/update/leap/15.1/non-oss/ (Priorität 21) 

Eine Abbildung der englischen Version ist in der englischen Anleitung, so sieht der Dialog später nach der Sprachumschaltung aus:

Software-Pakete installieren

Empfehlenswert ist, zuerst ein Online-Update des Betriebssystems durchzuführen.

Menü „Software -> Software Management“ (deutsch „Software -> Software installieren oder löschen“) auswählen, es öffnet sich der Dialog mit der Paketverwaltung. Jetzt die folgenden Pakete installieren:

  • mariadb
  • mono-complete
  • tmux
  • vim (optional andere Editoren möglich)

Durch die Auswahl werden viele weitere abhängige Pakete installiert.


Weiter: Zeit und Sprachen einstellen

Nach oben